# Library

---

```@meta
CurrentModule = AuditoryStimuli
```

## Module
```@docs
AuditoryStimuli
```

## Signal generators

```@docs
NoiseSource
CorrelatedNoiseSource
SinusoidSource
```

## Online signal modifiers

```@docs
Amplification
AuditoryStimuli.Filter
AmplitudeModulation
TimeDelay
```


## Offline Signal modifiers

```@docs
ramp_on
ramp_off
```


## Plotting

```@docs
PlotSpectroTemporal
plot_cross_correlation
```

## Signal Metrics

```@docs
interaural_coherence
```

## Depreciated

```@docs
bandpass_noise
bandpass_filter
amplitude_modulate
ITD_modulate
set_RMS
set_ITD
```
